Summary: Submit project releases to freshmeat.net
Name: fm-submit
Version: 0.0.4
Release: 1
Copyright: GPL
Group: Development/Tools
URL: http://www.ivarch.com/programs/fm-submit.shtml
Source: http://www.ivarch.com/programs/sources/fm-submit-0.0.4.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
fm-submit is a tool to submit project release announcements to freshmeat.net
via XML-RPC, from the command line.

Release information is accepted from binary packages (RPMs) named in the
command line, or from an email-like data block on standard input, or from
command-line flags.

%prep
%setup

%build
make doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
[ -e "$RPM_BUILD_ROOT" ] || mkdir -m 755 "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre

%post

%preun

%postun

%files
%defattr(-, root, root)
/usr/bin/fm-submit
%docdir /usr/share/man/man1
/usr/share/man/man1/*
%doc README COPYING

%changelog
* Fri Dec 19 2003 Andrew Wood <andrew.wood@ivarch.com>
Code cleanup. Abbreviations for common licenses are now accepted.
Some minor documentation improvements were made.

* Wed Dec 17 2003 Andrew Wood <andrew.wood@ivarch.com>
- Minor documentation update (explanation of netrc file)

* Wed Dec 17 2003 Andrew Wood <andrew.wood@ivarch.com>
- First version, working the way the manual for "freshmeat-submit" specifies.
